View Issue Details

IDProjectCategoryView StatusLast Update
0011560LazarusIDEpublic2008-06-30 18:15
ReporterEugen Bolz Assigned ToJesus Reyes  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version0.9.25 (SVN) 
Target Version1.0.0Fixed in Version0.9.25 (SVN) 
Summary0011560: if my custom control is on the form, controls like TButton dont get Painted
DescriptionI have tried to create a new Component ( my first ) , but everytime if my control (TGradButton) is on the form other controls like TButton dont get Painted until i go with my mouse over them
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetGTK 2, Win32/Win64
Attached Files

Activities

2008-06-26 15:00

 

gradbutton.zip (9,259 bytes)

2008-06-26 15:01

 

bug.png (66,925 bytes)   
bug.png (66,925 bytes)   

Eugen Bolz

2008-06-26 15:03

reporter   ~0020380

How to get the "Bug"?
New Form
Put TGradButton on it
Put 1 TButton on it
Restart Lazarus
The TButton will not be painted :(

Jesus Reyes

2008-06-30 18:13

developer   ~0020461

the component was using Paint instead of Invalidate, this affected the normal working of form designer in some way.

Issue History

Date Modified Username Field Change
2008-06-26 15:00 Eugen Bolz New Issue
2008-06-26 15:00 Eugen Bolz File Added: gradbutton.zip
2008-06-26 15:00 Eugen Bolz Widgetset => GTK 2, Win32
2008-06-26 15:01 Eugen Bolz File Added: bug.png
2008-06-26 15:03 Eugen Bolz Note Added: 0020380
2008-06-27 12:47 Vincent Snijders LazTarget => 1.0
2008-06-27 12:47 Vincent Snijders Status new => acknowledged
2008-06-27 12:47 Vincent Snijders Target Version => 1.0.0
2008-06-30 18:13 Jesus Reyes Status acknowledged => resolved
2008-06-30 18:13 Jesus Reyes Fixed in Version => 0.9.25 (SVN)
2008-06-30 18:13 Jesus Reyes Resolution open => no change required
2008-06-30 18:13 Jesus Reyes Assigned To => Jesus Reyes
2008-06-30 18:13 Jesus Reyes Note Added: 0020461
2008-06-30 18:15 Eugen Bolz Status resolved => closed